1. Welcome to skUnity!

    Welcome to skUnity! This is a forum where members of the Skript community can communicate and interact. Skript Resource Creators can post their Resources for all to see and use.

    If you haven't done so already, feel free to join our official Discord server to expand your level of interaction with the comminuty!

    Now, what are you waiting for? Join the community now!

  2. LOOKING FOR A VERSION OF SKRIPT?

    You can always check out our Wiki for downloads and any other information about Skript!

Dismiss Notice
This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Error when uses SkQuery (Load all skripts but not load cmds)

Discussion in 'Skript' started by danielzinh, Apr 1, 2020.

Thread Status:
Not open for further replies.
  1. danielzinh

    danielzinh Member

    Joined:
    Aug 1, 2019
    Messages:
    13
    Likes Received:
    0
    i have running Skript 2.2-dev36 in Spigot 1.8 SkQuery 3+ (i tried with latest and lowers versions), Vault, iConomy, WorldGuard and WorldEdit, and others plugins, if you need see ALL plugins, here is a print: https://imgur.com/a/3j7mREM

    [02:56:52] [Server thread/ERROR]: #!#!
    [02:56:52] [Server thread/ERROR]: #!#! [Skript] Severe Error:
    [02:56:52] [Server thread/ERROR]: #!#! Could not load json.sk
    [02:56:52] [Server thread/ERROR]: #!#!
    [02:56:52] [Server thread/ERROR]: #!#! Something went horribly wrong with Skript.
    [02:56:52] [Server thread/ERROR]: #!#! This issue is NOT your fault! You probably can't fix it yourself, either.
    [02:56:52] [Server thread/ERROR]: #!#! Your Minecraft version or server software appears to be unsupported by Skript (bensku's version).
    [02:56:52] [Server thread/ERROR]: #!#! Currently only supported servers are Spigot and its forks for Minecraft 1.9 or newer.
    [02:56:52] [Server thread/ERROR]: #!#! Other versions might work, but since you're getting this error message something is NOT working,
    [02:56:52] [Server thread/ERROR]: #!#! nor it will work, unless you switch to supported platform.
    [02:56:52] [Server thread/ERROR]: #!#! Issue tracker: https://github.com/SkriptLang/Skript/issues (only if you know what you're doing!)
    [02:56:52] [Server thread/ERROR]: #!#!
    [02:56:52] [Server thread/ERROR]: #!#! Stack trace:
    [02:56:52] [Server thread/ERROR]: #!#! ch.njol.skript.SkriptAPIException: No class info found for lambda
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.registrations.Classes.getClassInfo(Classes.java:263)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.createExprInfo(SkriptParser.java:1804)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.getExprInfo(SkriptParser.java:1771)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse_i(SkriptParser.java:1519)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse(SkriptParser.java:225)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse(SkriptParser.java:180)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parseSingleExpr(SkriptParser.java:495)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parseExpression(SkriptParser.java:814)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse_i(SkriptParser.java:1535)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse_i(SkriptParser.java:1531)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse(SkriptParser.java:225)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.SkriptParser.parse(SkriptParser.java:180)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.Statement.parse(Statement.java:59)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.ScriptLoader.loadItems(ScriptLoader.java:972)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.TriggerSection.<init>(TriggerSection.java:54)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.Conditional.<init>(Conditional.java:44)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.ScriptLoader.loadItems(ScriptLoader.java:1058)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.Loop.<init>(Loop.java:66)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.ScriptLoader.loadItems(ScriptLoader.java:1008)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.TriggerSection.<init>(TriggerSection.java:54)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.Conditional.<init>(Conditional.java:44)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.ScriptLoader.loadItems(ScriptLoader.java:1058)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.Loop.<init>(Loop.java:66)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.ScriptLoader.loadItems(ScriptLoader.java:1008)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.function.ScriptFunction.<init>(ScriptFunction.java:50)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.lang.function.Functions.loadFunction(Functions.java:143)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.ScriptLoader.loadScript(ScriptLoader.java:634)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.ScriptLoader.lambda$1(ScriptLoader.java:389)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.ScriptLoader.loadScripts(ScriptLoader.java:401)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.ScriptLoader.lambda$0(ScriptLoader.java:331)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.ScriptLoader.loadScripts(ScriptLoader.java:361)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.Skript.reload(Skript.java:786)
    [02:56:52] [Server thread/ERROR]: #!#! at ch.njol.skript.SkriptCommand.onCommand(SkriptCommand.java:154)
    [02:56:52] [Server thread/ERROR]: #!#! at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44)
    [02:56:52] [Server thread/ERROR]: #!#! at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141)
    [02:56:52] [Server thread/ERROR]: #!#! at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:641)
    [02:56:52] [Server thread/ERROR]: #!#! at net.minecraft.server.v1_8_R3.PlayerConnection.handleCommand(PlayerConnection.java:1162)
    [02:56:52] [Server thread/ERROR]: #!#! at net.minecraft.server.v1_8_R3.PlayerConnection.a(PlayerConnection.java:997)
    [02:56:52] [Server thread/ERROR]: #!#! at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:45)
    [02:56:52] [Server thread/ERROR]: #!#! at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:1)
    [02:56:52] [Server thread/ERROR]: #!#! at net.minecraft.server.v1_8_R3.PlayerConnectionUtils$1.run(SourceFile:13)
    [02:56:52] [Server thread/ERROR]: #!#! at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
    [02:56:52] [Server thread/ERROR]: #!#! at java.util.concurrent.FutureTask.run(Unknown Source)
    [02:56:52] [Server thread/ERROR]: #!#! at net.minecraft.server.v1_8_R3.SystemUtils.a(SourceFile:44)
    [02:56:52] [Server thread/ERROR]: #!#! at net.minecraft.server.v1_8_R3.MinecraftServer.B(MinecraftServer.java:715)
    [02:56:52] [Server thread/ERROR]: #!#! at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:374)
    [02:56:52] [Server thread/ERROR]: #!#! at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:654)
    [02:56:52] [Server thread/ERROR]: #!#! at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:557)
    [02:56:52] [Server thread/ERROR]: #!#! at java.lang.Thread.run(Unknown Source)
    [02:56:52] [Server thread/ERROR]: #!#!
    [02:56:52] [Server thread/ERROR]: #!#! Version Information:
    [02:56:52] [Server thread/ERROR]: #!#! Skript: 2.2-dev36 (custom version)
    [02:56:52] [Server thread/ERROR]: #!#! Bukkit: 1.8.8-R0.1-SNAPSHOT
    [02:56:52] [Server thread/ERROR]: #!#! Minecraft: 1.8.8
    [02:56:52] [Server thread/ERROR]: #!#! Java: 1.8.0_241 (Java HotSpot(TM) 64-Bit Server VM 25.241-b07)
    [02:56:52] [Server thread/ERROR]: #!#! OS: Windows 7 amd64 6.1
    [02:56:52] [Server thread/ERROR]: #!#!
    [02:56:52] [Server thread/ERROR]: #!#! Server platform: Spigot
    [02:56:52] [Server thread/ERROR]: #!#!
    [02:56:52] [Server thread/ERROR]: #!#! Current node: set {_skip} to true (json.sk, line 108)
    [02:56:52] [Server thread/ERROR]: #!#! Current item: null
    [02:56:52] [Server thread/ERROR]: #!#!
    [02:56:52] [Server thread/ERROR]: #!#! Thread: Server thread
    [02:56:52] [Server thread/ERROR]: #!#!
    [02:56:52] [Server thread/ERROR]: #!#! Language: english
    [02:56:52] [Server thread/ERROR]: #!#! Link parse mode: DISABLED
    [02:56:52] [Server thread/ERROR]: #!#!
    [02:56:52] [Server thread/ERROR]: #!#! End of Error.
    [02:56:52] [Server thread/ERROR]: #!#!

    :emoji_frowning:
     
  2. ZeyKra_

    ZeyKra_ Active Member

    Joined:
    Dec 12, 2019
    Messages:
    109
    Likes Received:
    2
    Try to use skript2.2-dev37c or contact Skquery Developper
     
  3. danielzinh

    danielzinh Member

    Joined:
    Aug 1, 2019
    Messages:
    13
    Likes Received:
    0
    i've already tried ALL skripts 2.2 versions, the only that worked is the Skript 2.2-dev27, but, work with basic problems, i tried to chance version to 1.8 from 1.15.2, but, same problem... (1 month ago, all worked perfectly with all version of skript, but now... won't work...)
     
Thread Status:
Not open for further replies.

Share This Page

Loading...